/*==============================*/
/*=====----- TEMPLATE -----=====*/
/*==============================*/

.social-callout {
	position: relative;
	max-width: 1100px;
	margin: 0 auto 120px;
	color: var(--white);
	opacity: 1;
	transition: opacity var(--transition-appendix);
}

.social-callout > .inner {
	position: relative;
	min-height: 718px;
}

.social-callout > .inner .bg-image,
.social-callout > .inner .bg-image img {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-size: cover;
	background-position: center;
	z-index: 0;
    object-fit: cover;
}

.social-callout > .inner .bg-image:after {
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: var(--black);
	opacity: 0.6;
	pointer-events: none;
}

.social-callout > .inner .content-outer {
	display: flex;
	flex-direction: column;
	background: var(--gray-600);
}

.social-callout > .inner .content {
	position: relative;
	z-index: 1;
	max-width: 375px;
	margin: 0 auto;
}

.social-callout > .inner .content .title {
	font-weight: var(--font-weight-bold, 700);
	font-size: var(--text-3xl);
	line-height: var(--leading-tight);
	padding: 30px 42px 15px;
}

.social-callout > .inner .content .description {
	font-size: 0.9375rem;
	color: var(--white);
	font-weight: 400;
	line-height: var(--leading-normal);
	margin-bottom: var(--space-3);
	padding: 0 42px 36px;
}

.social-callout > .inner .content .button-cont {
	padding: 0 42px;
	margin-bottom: -20px;
}

.social-callout .video-outer {
	aspect-ratio: 9/16;
	width: 290px;
	max-width: 100%;
	margin: 0 auto;
	transform: translateY(60px);
}

.social-callout .inner .video-cont .overlay-profile-link {
	position: absolute;
	top: 12px;
	left: 10px;
	z-index: 9;
	display: flex;
	align-items: center;
	justify-content: center;
	gap: 10px;
}

.social-callout .follow-button {
	color: var(--white);
	font-weight: 400;
	font-size: 13px;
	font-family: var(--font-display);
	text-transform: uppercase;
	letter-spacing: var(--tracking-wider);
	text-decoration: none;
	position: relative;
}

.social-callout .follow-button::after {
	content: '';
	position: absolute;
	left: 0;
	top: 100%;
	height: 2px;
	width: 100%;
	pointer-events: none;
	background-color: var(--yellow);
	transition: height var(--transition-appendix-3ms);
}

.social-callout .follow-button i {
	margin-right: 3px;
}

@media (min-width: 64em) {
	@media (hover: hover) {
		.social-callout .follow-button:hover::after {
			height: 10px;
		}
	}
}

.social-callout h6.profile-name {
	text-shadow: 1px 0px 10px var(--black);
}

/*============================*/
/*=====----- SLIDES -----=====*/
/*============================*/

.social-callout .slide,
.social-callout .video-cont,
.social-callout .plyr {
	position: relative;
	z-index: 1;
}

.social-callout .slide {
	border-radius: 13px;
	overflow: hidden;
}

.social-callout .video-cont::before {
	position: absolute;
	inset: 0 0 auto 0;
	z-index: 2;
	display: block;
	height: 92px;
	background: linear-gradient(to bottom, rgba(0,0,0,1), rgba(0,0,0,1) 33%, rgba(0,0,0,0));
	content: '';
	pointer-events: none;
	opacity: 1;
	transition: opacity var(--transition-appendix);
}

.social-callout .slide.no-profile-graphic .video-cont::before {
	display: none;
}

.social-callout .plyr {
	--plyr-color-main: var(--sw-button-primary-bg);
	--plyr-video-control-background-hover: var(--sw-button-primary-bg-hover);
}

.social-callout .profile-link,
.social-callout .profile-graphic.no-link {
	position: absolute;
	inset: 11px auto auto 9px;
	z-index: 3;
	display: block;
	padding: 0;
	background: none !important;
	opacity: 1;
	transition: opacity var(--transition-appendix);
}

.social-callout .profile-graphic {
	border-radius: 21px;
	height: 42px;
	pointer-events: none;
}

.social-callout .plyr {
	width: 100%;
	aspect-ratio: 9 / 16;
}

.social-callout .content-section {
	position: absolute;
	inset: auto 0 0 0;
	z-index: 2;
	padding: 20px 25px 60px;
	text-shadow: 0 4px 16px var(--black);
	pointer-events: none;
	opacity: 1;
	transition: opacity var(--transition-appendix);
}

.social-callout .slide-title {
	font-weight: var(--font-weight-heavy);
	font-size: 20px;
	line-height: 1.3;
	color: inherit;
}

.social-callout .plyr__progress__container {
	display: none;
	padding-right: 10px;
}

.social-callout .plyr__controls {
	justify-content: flex-start;
}

.social-callout .plyr__volume {
	min-width: 40px;
	width: auto;
}

.social-callout .plyr__controls .plyr__controls__item:first-child {
	margin-right: 0;
}

/*----- video playing -----*/

.social-callout .slide.playing .video-cont::before,
.social-callout .slide.playing .content-section,
.social-callout .slide.playing .profile-link,
.social-callout .slide.playing .profile-graphic.no-link {
	opacity: 0;
	pointer-events: none;
}

/*===================================*/
/*=====----- MEDIA QUERIES -----=====*/
/*===================================*/

@media (min-width: 40em) {
	.social-callout {
		margin-top: 125px;
	}

	.social-callout > .inner .content-outer {
		display: flex;
		flex-direction: row-reverse;
	}

	.social-callout .video-outer {
		margin-left: 40px;
		min-width: 300px;
	}

	.social-callout > .inner {
		min-height: unset;
	}

	.social-callout > .inner .content {
		display: flex;
		flex-direction: column;
		justify-content: center;
		padding: 104px 43px 113.5px;
		flex: 1 1 696px;
		min-height: 420px;
		max-width: unset;
	}

	.social-callout > .inner .content .title {
		font-size: 34px;
		line-height: 40px;
		padding: 0 0 22px;
	}

	.social-callout > .inner .content .description {
		/* font-size: 22px; */
		/* line-height: 26px; */
		font-size: var(--text-lg);
		padding: 0 0 44px;
	}

	.social-callout > .inner .content .button-cont {
		padding: 0;
		margin-bottom: 0;
	}
}

@media (min-width: 64em) {
	.social-callout .profile-link,
	.social-callout .profile-graphic.no-link {
		inset: 11px auto auto 11px;
	}

	.social-callout .profile-graphic {
		height: 50px;
		border-radius: 25px;
	}

	.social-callout .content-section {
		padding: 23px 29px 60px;
	}

	.social-callout .slide-title {
		font-size: 22px;
	}

	.social-callout .video-outer {
		transform: none;
		margin-top: -78px;
		margin-bottom: -78px;
		margin-left: 80px;
		min-width: 324px;
		min-height: 575px;
	}

	.social-callout > .inner .content {
		display: flex;
		flex-direction: column;
		justify-content: center;
		padding: 52px 83px 57px;
		flex: 1 1 696px;
		min-height: 420px;
	}

	.social-callout {
		margin-bottom: 176px;
	}
}

@media (min-width: 75em) {
	.social-callout .plyr__progress__container {
		display: block;
	}
}